***************************** GEM.H **********************************
*                       L I S T I N G   O N E                        *
*                                                                    *
* FILE:         GEM.H  (part of SCLFONT.C)                           *
* DESCRIPTION:  struct definition for GEM font file header record    *
* AUTHOR:       Marv Luse, Ithaca Street Software, Inc.              *
* DATE:         June, 1989                                           *
*********************************************************************/

typedef struct _gem_header
   {
     int   font_id;           /* font id                     */ 
     int   pt_size;           /* point size                  */ 
     char  font_name[32];     /* name of font                */ 
     int   min_char;          /* min char ascii value        */ 
     int   max_char;          /* max char ascii value        */ 
     int   top_line;          /* top line distance           */ 
     int   ascent;            /* ascent distance             */ 
     int   half_line;         /* half line distance          */ 
     int   descent;           /* descent distance            */ 
     int   bot_line;          /* bottom line distance        */ 
     int   char_width;        /* largest char width (pixels) */ 
     int   cell_width;        /* max char width (pixels)     */ 
     int   left_ofs;          /* left offset (not used)      */ 
     int   right_ofs;         /* right offset (not used)     */ 
     int   thicken;           /* thicken amt in pixels       */ 
     int   ul_size;           /* underline thickness         */ 
     int   light_mask;        /* lightening mask (5555h )    */ 
     int   skew_mask;         /* skew mask (5555h)           */ 
     int   flags;             /* flags - see doc             */ 
     long  hot_ofs;           /* offset to horz offset table */ 
     long  cot_ofs;           /* offset to char offset table */ 
     long  map_ofs;           /* offset to char bitmap       */ 
     int   form_width;        /* sum of char widths (bytes)  */ 
     int   form_height;       /* height in raster lines      */ 
   }
     gem_header;