// **************************  STRING.CXX ****************************
// *   String class which handles any type of
// *   character pointer argument (static or automatic data)
// *   Adapted from "Using C++" by Bruce Eckel, Osborne/McGraw-Hill 1989
// *******************************************************************

#include <stream.hxx>
#include <string.h>

// Very simple class to save a string, and print
// it with streams:

class string
{
  char * str;
public:
  string(char * msg = "")
  {
    // duplicate the message as private data:
    str = new char[strlen(msg) + 1];
    strcpy(str, msg);
  }
  operator void*() { return (void *)this; }
  char * cp() { return str; }
  friend ostream& operator<<(ostream &s, string & sp)
  {
    s << sp.str;
    return s;
  }
};


main()
{
  char * msg1 = "This is msg1";
  string S(msg1);
  cout << "original msg1: " << msg1 << "\n";
  cout << "original S: " << S << "\n";
  msg1[0] = 'X';
  msg1[1] = 'X';
  msg1[2] = 'X';
  cout << "msg1 after modification: " << msg1 << "\n";
  cout << "S after msg1 was modified: " << S << "\n";
}